Index: main/plugin-web/src/org/ametys/web/repository/page/actions/CreatePageAction.java
===================================================================
--- main/plugin-web/src/org/ametys/web/repository/page/actions/CreatePageAction.java	(revision 26836)
+++ main/plugin-web/src/org/ametys/web/repository/page/actions/CreatePageAction.java	(working copy)
@@ -90,6 +90,7 @@
         _observationManager.notify(new Event(_getCurrentUser(), ObservationConstants.PAGE_ADDED, page));
         
         result.put("id", page.getId());
+        result.put("lang", page.getSitemapName());
 
         return result;
     }
Index: main/plugin-web/sitemap-back.xmap
===================================================================
--- main/plugin-web/sitemap-back.xmap	(revision 26836)
+++ main/plugin-web/sitemap-back.xmap	(working copy)
@@ -27,6 +27,8 @@
             <map:generator name="site-sitemap-info" src="org.ametys.web.cocoon.SiteSitemapInformationGenerator" label="xml" pool-grow="2" pool-max="16" pool-min="0"/>
             <map:generator name="convert-pagepath-to-id" src="org.ametys.web.repository.page.generators.ConvertPagePathToIdGenerator" label="xml" pool-grow="2" pool-max="16" pool-min="0"/>
             <map:generator name="child-pages" src="org.ametys.web.repository.page.generators.ChildrenPagesIdGenerator" label="xml" pool-grow="2" pool-max="16" pool-min="0"/>
+           	<map:generator name="page-templates" src="org.ametys.web.repository.page.generators.PageTemplatesGenerator"/>		
+            <map:generator name="page-contents-services" src="org.ametys.web.repository.page.generators.AvailableContentsAndServicesGenerator"/>		
             <map:generator name="global-statistics" src="org.ametys.web.site.GlobalStatisticsGenerator" logger="org.ametys.web.site.GlobalStatisticsGenerator"/>
             <map:generator name="cache-stats-back" src="org.ametys.web.cache.monitoring.ui.PageElementCacheStatsGenerator" logger="org.ametys.web.cachemonitoring.generators.PageElementCacheStatsGenerator" label="xml"/>
             <map:generator name="cache-stats-servers" src="org.ametys.web.cache.monitoring.ui.ServersCacheStatsGenerator" logger="org.ametys.web.cachemonitoring.generators.ServersCacheStatsGenerator" label="xml"/>
@@ -461,11 +463,22 @@
 					<map:generate type="action-result">
 						<map:parameter name="id" value="{id}"/>
 						<map:parameter name="invalid-name" value="{invalid-name}"/>
+						<map:parameter name="lang" value="{lang}"/>
 					</map:generate>
 					<map:serialize type="xml"/>
 				</map:act>
 			</map:match>
 			
+			<map:match pattern="repository/page-templates">
+				<map:generate type="page-templates" />
+				<map:serialize type="xml"/>
+			</map:match>
+			
+			<map:match pattern="repository/page-contents-services">
+				<map:generate type="page-contents-services" />
+				<map:serialize type="xml"/>
+			</map:match>
+			
 			<map:match pattern="repository/delete-page">
 				<map:act type="delete-page">
 					<map:generate type="action-result">
@@ -855,7 +868,9 @@
 
 			<map:match pattern="page/apply-template.xml">
 				<map:act type="apply-template">
-					<map:generate type="action-result"/>
+					<map:generate type="action-result">
+						<map:parameter name="zonename" value="{zonename}"/>
+					</map:generate>
 					<map:serialize type="xml"/>
 				</map:act>
 			</map:match>
